/* Before adding any unnecessary CSS rules, please check out the Snap documentation at https://bit.ly/3PqSii8. */
/* Override Styles */
/*
.service-style-1 h2 {margin: 10px 0;}
.ry-menu .ry-nav li .dropdown-toggle {padding: 30px 0;}
ul#quick-links li a {display: block;width: 100%;}
#in-services-3 ul li a {margin-left: 0px;margin-top:30px}
*/
[x-cloak] { display: none !important; }
.promotions img { min-width: 22rem; max-width:22rem;}
#in-services-style-2.squares .ry-each:before, #in-services-style-2.squares .ry-each img {border-radius: 0;}
.mobile-menu-icon a{display: flex;height: 100%;width: 100%;justify-content: center;align-items: center;}
body.fancybox-active .ry-sticky-menu.fixed {z-index: 9999;}
.testimonials-swiper p,
.testimonials-swiper-2 p{
overflow: hidden;
display: -webkit-box;
-webkit-box-orient: vertical;
-webkit-line-clamp: 4
}
.service-hover {
    position: absolute;
    z-index: 9;
    opacity: 0;
    transition: opacity 0.3s ease;
    text-align: center;
    top: 50%;
    left: 50%;
    transform: translate(-50%,-50%);
    color: white;
}

/* Show service-hover when parent with data-target is hovered */
[data-target]:hover .service-hover {
    opacity: 1;
}

/* Apply the overlay effect when parent is hovered */
[data-target]:hover .service-hover::before {
    content: "";
    position: absolute;
    top: 50%;
    left: 50%;
    transform: translate(-50%, -50%);
    width: 100%;
    height: 100%;
    z-index: -1; /* Make sure it's behind the text */
}
.mm-navbar {
	color: #ffffff;
}

/* HP Edits - Started <May 25, 2026> */

/**/
	/*fonts*/

	/*btns*/

/*Modal*/
/* Header */
	/**/
.snap-mobile-menu {
    background: white;
}

mm-burger {
    color: #374151;
}
.ry-menu .ry-nav li.primary .caret {
    border-color: #374151;
}

.ry-menu .ry-nav li.primary:hover .caret {
    border-color: var(--color-secondary-background);
}
.with-gradient:before {
    background-image: linear-gradient(to bottom, white, transparent, transparent);
}
.ry-menu .ry-nav li.dropdown .dropdown-menu li {
    background: var(--color-primary-background);
    color: var(--color-primary-text);
}
/* Hero */
	/**/
#hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
    height: 100vh !important;
    object-fit: cover;
}
/* CTA */
	/**/
/* Welcome */
	/**/.module-welcome.style-5 .ry-each.image-wrapper {
    border: none;
}

.module-welcome.style-5 .ry-each.image-wrapper .photo img {
    object-fit: contain;
}

/* Services */
	/**/
/* Meet the Team */
	/**/
/* Insurance */
	/**/
#hp-insurance-1 .overflow-hidden {
    padding: 0;
}

#hp-insurance-1 .swiper-slide {
    background: none;
}

#hp-insurance-1 .swiper-slide img {
    mix-blend-mode: normal;
    filter: invert(1);
}
.t-swiper-button-next, .t-swiper-button-prev, .brand-4-swiper-button-next, .brand-4-swiper-button-prev {
    color: var(--color-secondary-background);
    background-color: var(--color-primary-text)
}  
/* Brand */
	/**/
/* Request Appointment */
	/**/
/* Testimonials */
	/**/
.module-testimonials.style-2::before, .module-testimonials.style-3::after {
	bottom: auto;
	top: 0;
	height: 50%;
	background: url(https://s3.amazonaws.com/static.organiclead.com/Site-17348c3c-be1c-45d7-9def-430db56c704c/backgrounds/McBrideVC_testimonial_before.jpg) center center no-repeat;
	background-size: cover;
}

.module-testimonials.style-2 .comments-icon {background-color: var(--color-primary-text);}

.module-testimonials.style-2 .comments-icon::before {
    border-color: var(--color-primary-background);
}

.module-testimonials.style-2 .comments-symbol {
    color: var(--color-primary-background);
}

.comments-holder .p-4:last-child {padding: 0;
}
/* Footer */
	/**/
/*Media Queries*/
	/**/


@media (max-width:1080px){
    #hp-slider, #hp-slider .swiper-wrapper, .homepage-swiper .swiper-slide img {
        height: 100% !important;
    }
}
@media (width < 1080px) {
  #section-hp-services:before,
  .module-19.style2:before,
  .ry-services.style2::before {
    opacity: 1;
  }
}
@media (max-width: 1080px) {
    .ry-services.style2 .each-block .photo,
    .ry-services.style2 .each-block .photo img{
        border-radius: 0;
    }
    .ry-services.style2 .each-block .photo:before {
        background: linear-gradient(to bottom, #0000, #000000cc);
    }
}
/* End - HP Edits*/

#navigation .bg-primary-background {
    background-color: #fff !important;
}

body[data-page-name="contact"] #footer-map {
	display: none;
}

body[data-page-name="contact"] #ry-footer-3 {
	padding-top: 220px;
}


	
.eyewear-slider .slick-dots {
  bottom: -30px;
  display:flex !important;
  padding:0;
  margin:0;
  justify-content:center;
  align-items:center;
  margin-top:20px
}
.eyewear-slider .slick-dots ul {
  list-style:none
}
 .eyewear-slider .slick-dots li {
  margin: 0 3px;
  list-style:none;
   width:fit-content;
   height:fit-content;
   display:flex;
   align-items:center;
   justify-content:center
}
 .eyewear-slider .slick-dots li::marker {
   font-size:0
 }
.eyewear-slider .slick-dots li button {
  width: 10px;
  height: 10px;
  padding: 0;
  font-size:0;
  border-radius:50%;
  border:0;
  background:#0000002e
}

.eyewear-slider .slick-dots li.slick-active button {
  background:#402B61
}

.eyewear-slider img {
	margin:0 auto !important;
	object-fit:cover;
}
[data-page-name="brands-we-carry"] .bg-gray-200 .\!max-w-\[200px\] {
    max-width: 200px !important;
    width:100%
}
[data-page-name="brands-we-carry"] .bg-gray-200 {
	display:flex;
	align-items:center;
	justify-content:center
}